<?php
namespace Magento\CatalogSearch\Model\ResourceModel\Fulltext\Collection\SearchResultApplier;

/**
 * Interceptor class for @see \Magento\CatalogSearch\Model\ResourceModel\Fulltext\Collection\SearchResultApplier
 */
class Interceptor extends \Magento\CatalogSearch\Model\ResourceModel\Fulltext\Collection\SearchResultApplier implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\Data\Collection $collection, \Magento\Framework\Api\Search\SearchResultInterface $searchResult, array $orders)
    {
        $this->___init();
        parent::__construct($collection, $searchResult, $orders);
    }

    /**
     * {@inheritdoc}
     */
    public function apply()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'apply');
        return $pluginInfo ? $this->___callPlugins('apply', func_get_args(), $pluginInfo) : parent::apply();
    }
}
